Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class WeightedBidirectionalDependencyGraphEdge<T extends ISystemModelElement>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge<V,E,O>
              kieker.tools.traceAnalysis.filter.visualization.graph.AbstractWeightedEdge<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation>
                  kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.WeightedBidirectionalDependencyGraphEdge<T>

Type Parameters:
  `T` - The type of the entity stored in the nodes linked by this edge.

    public class WeightedBidirectionalDependencyGraphEdge<T extends ISystemModelElement>

extends AbstractWeightedEdge<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation>

This class represents a weighted but bidirected edge within a dependency graph.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`WeightedBidirectionalDependencyGraphEdge(DependencyGraphNode<T> source, DependencyGraphNode<T> target, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Creates a new instance of this class using the given parameters.

Method Summary
`boolean` | `isAssumed()`
`void` | `setAssumed()` Sets the assumed flag to `true`.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractWeightedEdge
`getSourceWeight, getTargetWeight, getWeight`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge
`getIdentifier, getSource, getTarget`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeightedBidirectionalDependencyGraphEdge

    public WeightedBidirectionalDependencyGraphEdge(DependencyGraphNode<T> source,
                                                    DependencyGraphNode<T> target,
                                                    TraceInformation origin,
                                                    IOriginRetentionPolicy originPolicy)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `source` - The source of this edge.
    `target` - The target of this edge.
    `origin` - The meta information for this edge.
    `originPolicy` - The origin policy.

Method Detail

### isAssumed

    public boolean isAssumed()

### setAssumed

    public void setAssumed()

  Sets the assumed flag to `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net